/*
 Demonstrates the use of the dist( ) function
 to see if two colors are the "same".
*/

color f = color( 200, 200, 0 );
float fr, fg, fb;
final float THRESHOLD = 50;
void setup( )
{
  size( 400, 400, P3D);
  
  fr = red(f);
  fg = green(f);
  fb = blue(f);
  fill( f );
  textMode( SCREEN );
  textSize( 24 );
}

void draw( ) 
{
  pushMatrix( );
    background( 0 );
    lights( );
    translate( width/2, height/2, 0 );
    rotateY( radians(frameCount) ) ;
    box( 100 );
  popMatrix( );
}

void mousePressed( )
{
   loadPixels( );
   int index = mouseY*width + mouseX;
   color c = pixels[index];
   println( "color value of pixel clicked is " + c );

   float cr = red( c );
   float cg = green( c );
   float cb = blue( c );
   
   if ( dist( fr, fg, fb, cr, cg, cb) < THRESHOLD )
   //if ( c == f )
   {
      text( "same color",  20, height*.9);
      println("color is yellow");
   }
   else
   {
      text( "color is not yellow",  20, height*.9);
      println("different color");
   }
   
    noLoop( );
 
}

void mouseReleased( )
{
   loop( ); 
}
